> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke Permission

> Revokes a permission (role) assignment, removing the identity's access to the operations granted by the permission.



## OpenAPI

````yaml /openapi.yaml delete /permissions/{permissionId}/assignments/{assignmentId}
openapi: 3.1.0
info:
  version: 1.807.0
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /permissions/{permissionId}/assignments/{assignmentId}:
    delete:
      tags:
        - Permissions
      summary: Revoke Permission
      description: >-
        Revokes a permission (role) assignment, removing the identity's access
        to the operations granted by the permission.
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 64
            description: >-
              ID of the permission (also referred to as "role" in the
              dashboard).
          required: true
          description: ID of the permission (also referred to as "role" in the dashboard).
          name: permissionId
          in: path
        - schema:
            type: string
            minLength: 1
            maxLength: 64
            pattern: ^as-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
            description: ID of the permission assignment.
          required: true
          description: ID of the permission assignment.
          name: assignmentId
          in: path
        - schema:
            type: boolean
            default: false
            description: If true, bypasses the approval process and revokes immediately.
          required: false
          description: If true, bypasses the approval process and revokes immediately.
          name: force
          in: query
      responses:
        '200':
          description: Success
      security:
        - authenticationToken: []
          userActionSignature: []
components:
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)
    userActionSignature:
      type: apiKey
      in: header
      name: X-DFNS-USERACTION
      description: >-
        **User Action Signature:** Used to sign the change-inducing API
        requests.

        More details how to generate the token: [User Action Signing
        flows](https://docs.dfns.co/api-reference/auth/signing-flows)

````